<bugID>712469<Summary>Inspector Rule View selectors can be more visually scannable</Summary><Description>After using the style editor more day-to-day, a use case that I find myself doing quite frequently which I think could be better served is that of visually scanning downwards through a list of styles to find a particular selector.

As an example, I found myself inspecting the twitter bootstrap examples to see how they're put together ( http://cl.ly/012t2B3d0n432V3c0W2B ). My current goal was to find out how the "pull-left" class was affecting the form element I was inspecting. My immediate task then is to scan down the left-hand-side of the style editor to find the .pull-left selector.

As you can see from the screenshot, the font and indentation along the left-hand side of the style editor are all uniform. This, coupled with the fact that the filenames, selectors, checkboxes, and dropdowns are all given similar visual weights and colors, makes the visual hierarchy very flat and difficult to scan for anything in particular.

I believe that we can make this totally awesome though, with just a few tweaks! Some proposals:
 - Decrease the prominence of the checkboxes and dropdown indicators, so that the indentation of style properties is more profound. This could mean moving them to the right hand side, or just reducing their visual weight.
 - Reduce the visual prominence given to the file name / line number, as it is in general not as important as the style selector. Then increase the visual prominence of the style selector. This can be done by using colors or at least varying shades of grey to further differentiate levels in the information hierarchy, or simply moving the position of these objects.

I'd love to provide you with some mockups that illustrate potential solutions for these visual problems if that would be helpful. I'd need to take into account your plans for current functionality and any unimplemented design work you've already got, so if this is interesting to you, just let me know and we can talk more!
 
For point of contrast, in the Firebug style editor design makes this use-case really really clear, by having the selectors be a different color than the properties, values, and file names ( http://cl.ly/2F1p151z3n0Z0G3K050D ). The indentation also makes very clear what is a selector and what isn't. Similarly, the Chrome style editor uses color to differentiate elements, and also gives the file name/line number less prominence ( http://cl.ly/260G3x2h1p330q0f0J2G ). Though not as easy to scan for selectors as firebug (due to the "Matched CSS Rules" bar and the dropdowns/alert icons), it is still easier to scan for selectors than our style editor. We can do better! :D :D</Description></bugID>